[alsa-devel] [PATCH] asoc: sst_platform: fix the dsp driver interface

Vinod Koul vinod.koul at linux.intel.com
Mon Dec 5 14:29:34 CET 2011

On Mon, 2011-12-05 at 13:28 +0000, Mark Brown wrote:
> On Mon, Dec 05, 2011 at 04:55:24PM +0530, Vinod Koul wrote:
> > lower level drivers typically register with upper layers.
> > So fix by exporting symbols from sst_platform driver for dsp driver to
> > register to sst platform driver
> > 
> > Now this driver doesnt depend on sst driver, so remove the dependency
> > and the header files
> The doesn't apply to 3.3 due to a conflict with the conversion to
> module_platform_driver - you could please respin against current -next?
Ah my bad. I had done sync sometime back and didn't pull as I was
thinking nothig else changed in this. Obvisly I missed the platform
driver patch.
I will send updated one...


More information about the Alsa-devel mailing list